% A function to out put fourier spectrum of a signal
function [f,fft_amp]=fourier_spectrum(y,frame_rate)
    n_point = 2^nextpow2(2*length(y)); % see fft matlab example for explanations
    Y = fft(y,n_point)/length(y); %  calculate the n-point DFT
    fft_amp=2*abs(Y(1:n_point/2+1)); % Amplitude of fourier spectrum
    f = frame_rate/2*linspace(0,1,n_point/2+1); % frequency vector
end